Value of Smart Variables doesn't show up on Foreman UI when it sets using API call
Assignee: Tomer Brisker   

Category: API   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1697

  

Description

Tried to use foreman api to set the values for smart variables in a hostgroup. The api did work and responded correctly.

This is the curl i used to set the variables in hostgroup:

curl -H 'content-type: application/json' -H 'Accept: application/json' -k -u '$USER:$PASS'

$FOREMAN_URL/api/v2/smart_class_parameters/SMART_VARIABLE/override_values -X POST -d

'{"override_value":{"value":"VALUE","match":"hostgroup=HOSTGROUP"}}'

Output : 

{"id":19858,"match":"hostgroup=HOSTGROUP","value":"VALUE","created_at":"2014-06-11T11:10:42Z","updated_at":"2014-06-11T1

1:10:42Z"}

Problem Statement:

The values of the smart variables doesn't show up on the Foreman UI

Associated revisions

Revision 73eb580f - 09/01/2014 07:37 AM - Tomer Brisker

Fixes #6161 - Mark override on adding smart variable override via api

Revision 4cbad1a1 - 09/08/2014 02:34 PM - Tomer Brisker

Fixes #6161 - Mark override on adding smart variable override via api

(cherry picked from commit 73eb580f9e910736ec797b17ee0cead0dcb12856)

Revision 40f9c481 - 09/10/2014 06:24 AM - Tomer Brisker

refs #6161 - Add test to make sure override is marked on create

History

#1 - 06/11/2014 11:59 AM - Joseph Magen

- Status changed from New to Assigned

- Target version set to 1.8.2

The override value is created, but it doesn't show up in the UI if it's the first one created.

It's a Web UI issue.

#2 - 06/11/2014 02:57 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#3 - 07/07/2014 07:23 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0
#4 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#5 - 08/18/2014 04:26 AM - Ori Rabin

- Assignee set to Ori Rabin

#6 - 08/18/2014 07:56 AM - Tomer Brisker

- Assignee changed from Ori Rabin to Tomer Brisker

#7 - 08/18/2014 08:53 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1697 added

- Pull request deleted ()

#8 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#9 - 09/01/2014 07:39 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#10 - 09/01/2014 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 73eb580f9e910736ec797b17ee0cead0dcb12856.

#11 - 10/07/2014 03:47 AM - Daniel Lobato Garcia

- translation missing: en.field_release changed from 10 to 21

#12 - 10/07/2014 03:50 AM - Dominic Cleal

- translation missing: en.field_release changed from 21 to 10

1.6.0 is correct.
